Bug 87290 - EDITING: Automatic control focus in forms works only when changing language of UI
Summary: EDITING: Automatic control focus in forms works only when changing language o...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-13 17:14 UTC by Robert Großkopf
Modified: 2018-03-09 07:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2014-12-13 17:14:29 UTC
Take this attachment: https://bugs.freedesktop.org/attachment.cgi?id=110813
Open the form for editing.
Set automatic control focus (toolbar form-design at the buttom of the window, 9th button - or form-naviagor, right click on Forms → Automatic control focus).
Save the form.
Open the form again: The control-focus would be set to the first field of the tablecontrol, but tableciontrol isn't the first field on the page.
You could close Base, close LO, reopen the database - focus is set to first field of the tablecontrol, not the first field of the form.

Now do a funny thing I have done to write down this bug: Switch the UI-language.
(Tools → Options → Languages → Language Settings → Language of → User interface)
I did this from German to English. Close LO, open the database again and have a look at the form. The cursor would jump to the first field in the form ("Konto"), which should be the right behavior.
Comment 1 Alex Thurgood 2014-12-15 13:44:03 UTC
Can not reproduce on

Version: 4.5.0.0.alpha0+
Build ID: c70d907c6bac7720338207355e41724ba1e97781
Locale: fr_

OSX 10.10.1

1) Loaded odb file into FR localized LO master.
2) Opened form - Giri control selected on opening. Closed form.
3) Opened form in design mode - switched off automatic focus, saved, closed.
4) Reopened form - no default selected - correct behaviour. Closed form.
5) Opened form in design mode - switched on automatic focus, saved, closed.
6) Opened form - Giri control selected on opening - correct behaviour.
Comment 2 Robert Großkopf 2014-12-15 16:14:16 UTC
(In reply to Alex Thurgood from comment #1)
> 
> 1) Loaded odb file into FR localized LO master.
> 2) Opened form - Giri control selected on opening. Closed form.

What do you mean with "Giri control"? The control of the example, which is labelled with "Konto"?

I see I haven't give a hint about the system.
I have the buggy behavior with openSUSE 12.3 64bit rpm Linux. Sometimes it seems to work right, when I change the version (from 4.2.8.2 to 4.3.5.2). Then I open the form for editing, save the form (without changing anything) and again the focus is lost - will appear at "ID", the first field of the tablecontrol.
Comment 3 Alex Thurgood 2014-12-15 16:52:35 UTC
(In reply to robert from comment #2)
> (In reply to Alex Thurgood from comment #1)
> > 
> > 1) Loaded odb file into FR localized LO master.
> > 2) Opened form - Giri control selected on opening. Closed form.
> 
> What do you mean with "Giri control"? The control of the example, which is
> labelled with "Konto"?

Hi Robert, I meant Giro Konto, sorry, one fingered typing trying to do other stuff at same time.
Comment 4 Alex Thurgood 2015-01-03 17:39:28 UTC Comment hidden (no-value)
Comment 5 Buovjaga 2015-01-15 18:55:39 UTC
For me, it jumps to ID 2 in the table, when opening the form for input. With or without automatic control focus.

Changing UI language doesn't help.

I'm setting to NEW.

I guess we agree that severity is minor?

Win 7 64-bit Version: 4.4.0.2
Build ID: a3603970151a6ae2596acd62b70112f4d376b99
Comment 6 Robert Großkopf 2015-01-15 19:14:54 UTC
(In reply to Beluga from comment #5)
> For me, it jumps to ID 2 in the table, when opening the form for input. With
> or without automatic control focus.
> 
> Changing UI language doesn't help.

The first time I got it work was during changing UI-language. But seems it doesn't solve the problem for a longer time.

> 
> I guess we agree that severity is minor?

It's OK. Most people wouldn't know the function exists at all.

Regards

Robert
Comment 7 QA Administrators 2016-01-17 20:04:52 UTC Comment hidden (obsolete)
Comment 8 Robert Großkopf 2016-01-31 11:45:24 UTC
Bug still exists with LO 5.1.0.3, OpenSUSE 42.1 Leap, 64bit rpm Linux.

If I change the GUI-language the automatic control focus will work. Don#t know why. Without doing this the focus will be set to the tablecontrol, not the first field of the form.
Comment 9 Robert Großkopf 2016-03-05 11:05:30 UTC
Bug appears also in the first available LO-version (LO 3.3.0.4, OpenSUSE 42.1 64bit rpm Linux). So I set this bug as "Inherited From OOo".
Comment 10 QA Administrators 2017-03-06 15:56:00 UTC Comment hidden (obsolete)
Comment 11 Robert Großkopf 2017-03-08 18:09:34 UTC
Bug still exists with LO 5.3.1.1, OpenSUSE 42.1 Leap, 64bit rpm Linux.

Could reproduce as described first: automatic-control-focus will set the focus to the tablecontrol, not the first field.

Changing the language of the GUI will set the automatic-control-focus to the first field. You could set the language back - the automatic-control-focus will work. But don't touch the form again, so you have to do the same steps.
Comment 12 QA Administrators 2018-03-09 03:46:08 UTC Comment hidden (obsolete)
Comment 13 Robert Großkopf 2018-03-09 07:18:06 UTC
Bug still exists with LO 6.0.2.1, OpenSUSE 42.3 Leap, 64bit rpm Linux.